Page MenuHomeFreeBSD

net: move interface removal notification up in if_detach_internal
ClosedPublic

Authored by royger on Aug 12 2014, 4:08 PM.

Details

Reviewers
melifaro
Summary

This is needed to prevent having interfaces with ifp->if_addr == NULL
on bridge interfaces. Moving the notification event handlers up makes
sure the interfaces are removed before doing any more cleanup.

Sponsored by: Citrix Systems R&D

Diff Detail

Repository
rS FreeBSD src repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

royger updated this revision to Diff 1075.Aug 12 2014, 4:08 PM
royger retitled this revision from to net: move interface removal notification up in if_detach_internal.
royger updated this object.
royger edited the test plan for this revision. (Show Details)
royger added a reviewer: melifaro.
melifaro accepted this revision.Aug 15 2014, 1:33 PM
melifaro edited edge metadata.

Seems to be OK

This revision is now accepted and ready to land.Aug 15 2014, 1:33 PM
royger closed this revision.Aug 16 2014, 10:50 AM

Thanks, committed as r270041

I'm hitting a panic with stable/10. Can you please MFC this patch form the HEAD to stable/10?

Done, MFC'ed as r333106.

In D598#321169, @royger wrote:

Done, MFC'ed as r333106.

I saw it. Thanks!